Subject: Re: Non-Hybridized Seed Catalogs

From: [email-masked] (Kdcutler)
Date: 8 Jan 1995 15:40:23 -0500

Take a look at our (HARROWSMITH COUNTRY LIFE) annual list of seed
companies, many of which are noted as selling OP seeds. It's in the
Jan/Feb 1995. Specifically for tomatoes, try: Tomato Growers Supply Co.,
P.O. Box 2237, Fort Meyers, FL 33902; or The Tomato Seed Company, P.O. Box
1400, Tyron, NC 28782; or Totally Tomatoes, Box 1626, Augusta, GA 30903.
Karan Davis Cutler, HARROWSMITH COUNTRY LIFE